aptitude crashes when trying to free an invalid pointer

Bug #473711 reported by Timothy R. Chavez on 2009-11-04
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
aptitude (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: aptitude

Version Information:
Description: Ubuntu 9.10
Release: 9.10

Package Information:
python-psycopg2 aptitude
libpq5:
  Installed: 8.4.1-1
  Candidate: 8.4.1-1
  Version table:
 *** 8.4.1-1 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
postgresql:
  Installed: 8.4.1-1
  Candidate: 8.4.1-1
  Version table:
 *** 8.4.1-1 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
postgresql-8.4:
  Installed: 8.4.1-1
  Candidate: 8.4.1-1
  Version table:
 *** 8.4.1-1 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
postgresql-client-8.4:
  Installed: 8.4.1-1
  Candidate: 8.4.1-1
  Version table:
 *** 8.4.1-1 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
postgresql-client-common:
  Installed: 101
  Candidate: 101
  Version table:
 *** 101 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
postgresql-common:
  Installed: 101
  Candidate: 101
  Version table:
 *** 101 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
python-egenix-mxdatetime:
  Installed: 3.1.2-1ubuntu1
  Candidate: 3.1.2-1ubuntu1
  Version table:
 *** 3.1.2-1ubuntu1 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
python-egenix-mxtools:
  Installed: 3.1.2-1ubuntu1
  Candidate: 3.1.2-1ubuntu1
  Version table:
 *** 3.1.2-1ubuntu1 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status
python-psycopg2:
  Installed: 2.0.8-0ubuntu2
  Candidate: 2.0.8-0ubuntu2
  Version table:
 *** 2.0.8-0ubuntu2 0
        500 http://archive.ubuntu.com karmic/universe Packages
        100 /var/lib/dpkg/status
aptitude:
  Installed: 0.4.11.11-1ubuntu6
  Candidate: 0.4.11.11-1ubuntu6
  Version table:
 *** 0.4.11.11-1ubuntu6 0
        500 http://archive.ubuntu.com karmic/main Packages
        100 /var/lib/dpkg/status

I am running an Ubuntu Karmic 9.10 VM instance on Rackspace Cloud. I attempted to install postgresql and psycopg2 and got a stack trace towards the end of the process (after "Writing extended state information... Done"). I tried to remove the packages (e.g. aptitude remove) and then re-install them (e.g. aptitude install) several times to reproduce the problem, but had no luck.

I've attached the console output and the output of valgrind run with --leak-check=full

ProblemType: Bug
Architecture: amd64
Date: Wed Nov 4 02:58:39 2009
DistroRelease: Ubuntu 9.10
Package: aptitude 0.4.11.11-1ubuntu6
ProcEnviron: SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-302.7-rs
SourcePackage: aptitude
Uname: Linux 2.6.31-302-rs x86_64

Timothy R. Chavez (timrchavez) wrote :
Timothy R. Chavez (timrchavez) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers